Bug 821700 - [abrt] xorg-x11-server-Xorg-1.12.0-2.fc17: __libc_message: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xorg-1.12.0-2.fc17: __libc_message: Process /usr/bin/X...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:7f92fb7f404ceed6f43e3348d6b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 07:15 EDT by Mikhail
Modified: 2013-08-01 14:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:50:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.58 KB, text/plain)
2012-05-15 07:15 EDT, Mikhail
no flags Details
File: maps (12.50 KB, text/plain)
2012-05-15 07:15 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-05-15 07:15:18 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -logverbose 7 -auth /var/run/gdm/auth-for-gdm-1eCxrA/database -seat seat0 -nolisten tcp vt1
comment:        logoff gnome session :(
crash_function: __libc_message
executable:     /usr/bin/Xorg
kernel:         3.3.4-5.fc17.i686.PAE
pid:            812
pwd:            /var/gdm
remote_result:  NOTFOUND
time:           Вт. 15 мая 2012 16:58:38
uid:            0
username:       root

backtrace:      Text file, 10830 bytes
maps:           Text file, 12803 bytes

build_ids:
:775244a73b5aa75af254f6d4723b7d8ea169bc7f
:7a1741dc82ee3e15fd1c348dc2a06c3b91a9654c
:3b58169a891c0797122a6f62950ddc9bfbc7003f
:c84c4e4bc606e15fa30d6bbe1e85777a6b396ffd
:ff68b8ed2d6087ce7cb59dc185689992570efe19
:c3ef71ff76c33e1be238f26ce9e82807139d128c
:f2d4afa52ba621efa58c21c115f66beec87b23c6
:da1c99f048615101e6075e8797e403851bb13db1
:9aea670864d2a34a222fd110376f7946b702de7c
:1adc6d940cab9e907a92b04cc07769814bf2f5fe
:55f74def006b96ec11adb895d30e4608864457ea
:57c0f90ace5857758595f0a8e3b18501829cf5f2
:b84810a157e33487a45b4ed2aab28145bc09795c
:544436940dbef0dfd96f5afa1118aa5a59cd41c5
:db4f35ad4201754acaf2602e95ad6d5dd5620051
:09204ae134bd8d05bce65bb6e9e6fd68d6bbb3f1
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:8aebf23e4910fd9da7136fc123c8db3b143004cc
:f50b8af63d120e664e659c9ea1e5eb8ed8bdbf35
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:3916452ea9a5844ac471ac68c9accbe2ffe67646
:a38d0aab986c16279c925729cd682a998a694f15
:d6b4a1f96f386356f588156d6638bbbce8a0ff04
:b8fd1801513799c226ab15823f4bdd1703c74e1d
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:56aa89571dd83e9562175433f05b77a24f9a9577
:e9d77505c0c25e485100590d9d4ad8388805d08d
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:fc6e314b3ce95d6883dc01abf5c50a6c4d530409
:992f8e37840fc850a290c7660aa21c793d50c1e7
:bd224d8b893c9a317e9f28e4615edfa34a520c4a
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64
:c335a881892ca22ec5171b13930fbc9ea99af91f
:ff3623d0e283740b0518e56f96041d9151d041b7
:d41ab11d3d82969c013dda2051d34f9be707ed5c
:5f00a9a0386a90d45f52a479b01ec9048359baec
:ab35e3a690af095bb5437e0c6d15e0baaba751fa
:0db1085b6f5f26681999bf8762e7374bb8179395
:14acd27d79be03aa2501aecfdd7b7a09f5af115c
:100552a1a0b08db110acf68cf5d667d5d9f3bd24
:08921ff40928d55ea103d2270d3d6e3a7f52747e
:6827db64bf037f6de97ac9f37d50f32f343930a4
:6cf20b87af63cb4c13bd9826ef8f8723a1961770
:f8b78448889a0caf6b81068373b74981f0f35cd2

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/prefdm.service
:2:cpuset:/
:1:name=systemd:/system/prefdm.service

core_backtrace:
:3f69433fdd9ae8e6129833add9086ab91effed67 0x424 __kernel_vsyscall linux-gate.so.1 -
:09204ae134bd8d05bce65bb6e9e6fd68d6bbb3f1 0x2e91f raise libc.so.6 -
:09204ae134bd8d05bce65bb6e9e6fd68d6bbb3f1 0x30273 abort libc.so.6 -
:09204ae134bd8d05bce65bb6e9e6fd68d6bbb3f1 0x6c785 __libc_message libc.so.6 -
:09204ae134bd8d05bce65bb6e9e6fd68d6bbb3f1 0x74109 _int_free libc.so.6 -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x11ebbc - [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x11f17d XIDeleteAllDeviceProperties [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x2469e - [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x28b8d RemoveDevice [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x927ed DeleteInputDeviceRequest [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x24300 - [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x24e08 - [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x68a06 - [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x68b3a FatalError [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x69e3a - [exe] -

dso_list:
:/usr/lib/libselinux.so.1 libselinux-2.1.10-3.fc17.i686 (Fedora Project) 1335355090
:/usr/lib/llvm/libLLVM-3.0.so llvm-libs-3.0-12.fc17.i686 (Fedora Project) 1336478343
:/usr/lib/xorg/modules/extensions/libextmod.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libpciaccess.so.0.11.1 libpciaccess-0.13.1-1.fc17.i686 (Fedora Project) 1334227821
:/usr/lib/librt-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336008189
:/usr/lib/libpthread-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336008189
:/usr/lib/libdrm_radeon.so.1.0.0 libdrm-2.4.33-1.fc17.i686 (Fedora Project) 1333332004
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-2.fc17.i686 (Fedora Project) 1329853943
:/usr/lib/xorg/modules/drivers/vesa_drv.so xorg-x11-drv-vesa-2.3.1-1.fc17.i686 (Fedora Project) 1335585767
:/usr/lib/libdrm.so.2.4.0 libdrm-2.4.33-1.fc17.i686 (Fedora Project) 1333332004
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-4.fc17.i686 (Fedora Project) 1336181108
:/usr/lib/libgcc_s-4.7.0-20120504.so.1 libgcc-4.7.0-4.fc17.i686 (Fedora Project) 1336181098
:/usr/lib/xorg/modules/extensions/libdri.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/xorg/modules/drivers/fbdev_drv.so xorg-x11-drv-fbdev-0.4.2-8.fc17.i686 (Fedora Project) 1329854144
:/usr/lib/xorg/modules/extensions/libdri2.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/xorg/modules/drivers/radeon_drv.so xorg-x11-drv-ati-6.14.4-5.20120417git0bda305f7.fc17.i686 (Fedora Project) 1334801631
:/usr/lib/xorg/modules/extensions/libdbe.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libnss_files-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336008189
:/usr/lib/libXdmcp.so.6.0.0 libXdmcp-1.1.1-1.fc17.i686 (Fedora Project) 1331961657
:/usr/lib/libcrypto.so.1.0.0i openssl-1:1.0.0i-1.fc17.i686 (Fedora Project) 1335088201
:/usr/lib/xorg/modules/drivers/ati_drv.so xorg-x11-drv-ati-6.14.4-5.20120417git0bda305f7.fc17.i686 (Fedora Project) 1334801631
:/usr/lib/libfontenc.so.1.0.0 libfontenc-1.1.0-2.fc17.i686 (Fedora Project) 1329853957
:/usr/lib/xorg/modules/extensions/libglx.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/xorg/modules/input/synaptics_drv.so xorg-x11-drv-synaptics-1.6.0-1.fc17.i686 (Fedora Project) 1336100333
:/usr/lib/libaudit.so.1.0.0 audit-libs-2.2.1-1.fc17.i686 (Fedora Project) 1332590051
:/usr/lib/ld-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336008189
:/usr/lib/xorg/modules/extensions/librecord.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc17.i686 (Fedora Project) 1333317730
:/usr/bin/Xorg xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libudev.so.0.13.1 libudev-182-1.fc17.i686 (Fedora Project) 1332258439
:/usr/lib/dri/r600_dri.so mesa-dri-drivers-8.0.2-2.fc17.i686 (Fedora Project) 1333616882
:/usr/lib/libc-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336008189
:/usr/lib/xorg/modules/input/evdev_drv.so xorg-x11-drv-evdev-2.7.0-2.fc17.i686 (Fedora Project) 1333099302
:/usr/lib/libm-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336008189
:/usr/lib/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.i686 (Fedora Project) 1333317732
:/usr/lib/xorg/modules/libexa.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libdl-2.15.so glibc-2.15-35.fc17.i686 (Fedora Project) 1336008189
:/usr/lib/libmtdev.so.1.0.0 mtdev-1.1.0-3.20110105.fc17.i686 (Fedora Project) 1329853997
:/usr/lib/xorg/modules/libfbdevhw.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libXfont.so.1.4.1 libXfont-1.4.5-1.fc17.i686 (Fedora Project) 1331001495
:/usr/lib/xorg/modules/libfb.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libpixman-1.so.0.24.4 pixman-0.24.4-2.fc17.i686 (Fedora Project) 1335264404

environ:
:HOSTNAME=ao521
:HISTSIZE=1000
:KEYTABLE=us
:BOOT_IMAGE=/boot/vmlinuz-3.3.4-5.fc17.i686.PAE
:LANG=en_US.UTF-8
:SYSFONT=True
:DISPLAY==:0
:MAIL=/var/spool/mail/root
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLVL=0
:PWD=/
:HISTCONTROL=ignoredups
:USER=root
:PATH=/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin
:LOGNAME=root

event_log:
:2012-05-15-17:07:54> Analyzing coredump 'coredump'
:2012-05-15-17:08:13  All debuginfo files are available
:2012-05-15-17:08:13  Generating backtrace
:2012-05-15-17:08:13  Can't set gid 0: Operation not permitted
:2012-05-15-17:08:13  Backtrace is generated and saved, 0 bytes
:2012-05-15-17:08:13  Backtrace parsing failed for .
:2012-05-15-17:08:13  1:0: No frame and no thread found.
:2012-05-15-17:09:34> Smolt profile successfully saved
:2012-05-15-17:09:41> Querying server settings
:2012-05-15-17:09:43  Preparing an archive to upload
:2012-05-15-17:09:52  Uploading 3 megabytes
:2012-05-15-17:10:02  Uploading 71%
:2012-05-15-17:10:05  Upload successful
:2012-05-15-17:10:07  Retrace job started
:2012-05-15-17:10:19  Analyzing crash data
:2012-05-15-17:10:30  Analyzing crash data
:2012-05-15-17:10:42  Analyzing crash data
:2012-05-15-17:10:54  Initializing virtual root
:2012-05-15-17:11:06  Initializing virtual root
:2012-05-15-17:11:18  Initializing virtual root
:2012-05-15-17:11:29  Initializing virtual root
:2012-05-15-17:11:41  Initializing virtual root
:2012-05-15-17:11:53  Initializing virtual root
:2012-05-15-17:12:04  Initializing virtual root
:2012-05-15-17:12:16  Initializing virtual root
:2012-05-15-17:12:27  Initializing virtual root
:2012-05-15-17:12:39  Initializing virtual root
:2012-05-15-17:12:50  Initializing virtual root
:2012-05-15-17:13:02  Initializing virtual root
:2012-05-15-17:13:15  Initializing virtual root
:2012-05-15-17:13:26  Initializing virtual root
:2012-05-15-17:13:38  Initializing virtual root
:2012-05-15-17:13:49  Initializing virtual root
:2012-05-15-17:14:01  Generating backtrace
:2012-05-15-17:14:13  Retrace job finished successfully
:2012-05-15-17:14:38> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             30094                30094                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30094                30094                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/var/log/Xorg.0.log
:pos:	751637
:flags:	01
:1:/dev/tty
:pos:	0
:flags:	04002
:2:/var/log/gdm/:0.log
:pos:	2096
:flags:	02001

smolt_data:
:
:
:General
:=================================
:UUID: 6478aaa9-30e4-4a97-a123-b179d02652cd
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3391.24
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II Neo K125 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 1
:CPU Speed: 1700
:System Memory: 3778
:System Swap: 4095
:Vendor: Acer
:System: AO521 Not Applicable
:Form factor: Notebook
:Kernel: 3.3.4-5.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1085) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4133:1085) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:1085) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(6505:8288:4133:1085) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(5772:43:4187:57397) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1085) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1085) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38674:4133:1085) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4098:38671:4098:38674) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38404:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 6094889 3762187 3701165 1531904 1250702 1250702
:/dev/sda5 /home ext4 4096 4096 48953540 3032059 581352 12255232 12074027 12074027
:

var_log_messages:
:May 14 11:29:27 ao521 abrt[3438]: Saved core dump of pid 813 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-05-14-11:29:27-813 (29028352 bytes)
:May 15 16:58:38 ao521 abrt[25434]: Saved core dump of pid 812 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-05-15-16:58:38-812 (25718784 bytes)
Comment 1 Mikhail 2012-05-15 07:15:24 EDT
Created attachment 584641 [details]
File: backtrace
Comment 2 Mikhail 2012-05-15 07:15:27 EDT
Created attachment 584642 [details]
File: maps
Comment 3 Adam Jackson 2012-10-18 17:47:36 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 4 Fedora End Of Life 2013-07-04 03:06:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 14:50:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.